#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two2004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two2004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
   
global shot2two2004xi    

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 200
# -------------------------------------------------------------------------------------------------
shot2two2004xi = {
        1:'0x-133y-149z',
        2:'0x-88y-179z',
        3:'0x0y-199z',
        4:'103x-171y-1z',
        5:'105x-168y-26z',
        6:'111x-165y-3z',
        7:'113x-162y-28z',
        8:'120x-159y-5z',
        9:'121x-155y-30z',
        10:'128x-153y-7z',
        11:'129x-148y-32z',
        12:'12x-82y-181z',
        13:'136x-141y-34z',
        14:'136x-146y-9z',
        15:'13x-103y-170z',
        16:'143x-134y-36z',
        17:'143x-138y-11z',
        18:'14x-129y-151z',
        19:'150x-126y-37z',
        20:'150x-130y-13z',
        21:'156x-117y-39z',
        22:'157x-122y-15z',
        23:'162x-109y-41z',
        24:'163x-114y-17z',
        25:'167x-100y-43z',
        26:'168x-105y-19z',
        27:'16x-79y-182z',
        28:'171x-91y-45z',
        29:'173x-96y-21z',
        30:'176x-81y-47z',
        31:'178x-87y-23z',
        32:'179x-72y-49z',
        33:'17x-199y-8z',
        34:'182x-62y-51z',
        35:'182x-77y-25z',
        36:'185x-53y-53z',
        37:'186x-67y-27z',
        38:'187x-43y-55z',
        39:'188x-33y-57z',
        40:'189x-13y-61z',
        41:'189x-23y-59z',
        42:'189x-3y-63z',
        43:'189x-57y-29z',
        44:'18x-101y-171z',
        45:'191x-47y-31z',
        46:'193x-37y-33z',
        47:'193x-51y0z',
        48:'194x-27y-35z',
        49:'195x-17y-37z',
        50:'195x-41y-2z',
        51:'195x-6y-39z',
        52:'197x-31y-4z',
        53:'198x-20y-6z',
        54:'199x-10y-8z',
        55:'19x-77y-183z',
        56:'20x-126y-153z',
        57:'23x-98y-172z',
        58:'27x-124y-154z',
        59:'27x-197y-10z',
        60:'28x-95y-173z',
        61:'2x-108y-168z',
        62:'32x-92y-174z',
        63:'33x-120y-155z',
        64:'34x-111y-276z',
        65:'36x-88y-175z',
        66:'38x-117y-157z',
        67:'38x-195y-12z',
        68:'3x-86y-180z',
        69:'40x-85y-176z',
        70:'43x-81y-177z',
        71:'44x-113y-158z',
        72:'47x-77y-178z',
        73:'48x-193y-14z',
        74:'49x-109y-159z',
        75:'50x-73y-179z',
        76:'52x-69y-179z',
        77:'54x-105y-160z',
        78:'55x-1y-192z',
        79:'55x-65y-180z',
        80:'57x-4y-191z',
        81:'57x-60y-181z',
        82:'58x-190y-16z',
        83:'58x-7y-190z',
        84:'59x-101y-161z',
        85:'59x-56y-182z',
        86:'60x-11y-190z',
        87:'60x-52y-183z',
        88:'61x-14y-189z',
        89:'61x-47y-184z',
        90:'62x-18y-189z',
        91:'62x-43y-184z',
        92:'63x-22y-188z',
        93:'63x-26y-187z',
        94:'63x-30y-187z',
        95:'63x-34y-186z',
        96:'63x-39y-185z',
        97:'63x-96y-163z',
        98:'67x-92y-164z',
        99:'68x-187y-18z',
        100:'71x-87y-165z',
        101:'74x-82y-166z',
        102:'77x-183y-20z',
        103:'77x-76y-167z',
        104:'7x-131y-150z',
        105:'7x-199y-6z',
        106:'7x-84y-180z',
        107:'80x-71y-168z',
        108:'82x-66y-169z',
        109:'84x-3y-181z',
        110:'84x-60y-170z',
        111:'86x-55y-171z',
        112:'86x-8y-180z',
        113:'87x-13y-179z',
        114:'87x-178y-22z',
        115:'87x-49y-172z',
        116:'88x-18y-178z',
        117:'88x-44y-173z',
        118:'89x-23y-177z',
        119:'89x-28y-176z',
        120:'89x-33y-175z',
        121:'89x-39y-174z',
        122:'8x-106y-169z',
        123:'93x-176y0z',
        124:'96x-173y-24z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire200two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire200two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE200TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE200TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE200TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE200TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE200TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two2004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE200TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE200TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE200TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two2004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two2004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE200TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE200TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE200TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two2004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        